# Generated from rxcms-dbms_plugin-0.7.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rxcms-dbms_plugin

Name: rubygem-%{gem_name}
Version: 0.7.1
Release: 1%{?dist}
Summary: Ability to include content from external data sources
License: MIT
URL: https://bitbucket.org/kikoflame/rxcms-dbms_plugin
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(mysql2)
# BuildRequires: rubygem(pg)
BuildArch: noarch

%description
Plugin for RXCMS which provides a basic sql interface for DBMS.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile

%changelog
* Wed Sep 15 2021 mockbuilder - 0.7.1-1
- Initial package
